# Uses of Class
org.eclipse.emf.compare.internal.conflict.ComparisonIndex

Packages that use ComparisonIndex
Package
Description
org.eclipse.emf.compare.internal.conflict

## Uses of ComparisonIndex in org.eclipse.emf.compare.internal.conflict

Fields in org.eclipse.emf.compare.internal.conflict declared as ComparisonIndex
Modifier and Type
Field
Description
`protected final ComparisonIndex`
AbstractConflictSearch.`index`
The index of the comparison.
Methods in org.eclipse.emf.compare.internal.conflict that return ComparisonIndex
Modifier and Type
Method
Description
`static ComparisonIndex`
ComparisonIndex.`index(Comparison comparison, Monitor monitor)`
Utility method to index a comparison.
Constructors in org.eclipse.emf.compare.internal.conflict with parameters of type ComparisonIndex
Modifier
Constructor
Description
``
`AbstractConflictSearch(T diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Add(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Add(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Add(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Add(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Add(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(FeatureMapChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.